// JScript 文件
//文章
//1文章文章
//000000文章列表开始
var ArticleInfoStore;
ArticleInfoManage = function(node) {//分页每页显示数量	 
    var pageSize = 12;
    //指定列参数

    var ArticleInfofields = ["ID", "Name", "Classid", "flag", "istj"];
    ArticleInfoStore = new Ext.data.GroupingStore({
        proxy: new Ext.data.HttpProxy(
           {
               url: "/MCScriptManageServices/AllArticle.aspx",
               method: "POST"
           }),
        reader: new Ext.data.JsonReader(
           {
               fields: ArticleInfofields,
               root: "data",
               id: "ID",
               totalProperty: "totalCount"

           })
    });
    ArticleInfoStore.load({ params: { start: 0, limit: pageSize} });




    //--------------------------------------------------列选择模式
    var sm = new Ext.grid.CheckboxSelectionModel({
    //dataIndex:"id"
});
//--------------------------------------------------列头
var cm = new Ext.grid.ColumnModel([
		sm,
{
    header: "文章标题",
    dataIndex: "Name",
    tooltip: "登录帐号信息",
    sortable: true
}, {
    header: "文章分类",
    tooltip: "文章分类",
    dataIndex: "Classid",
    sortable: true
}]);


    var ArticleInfoGrid = new Ext.grid.GridPanel({
        id: "ArticleInfoGrid",
        store: ArticleInfoStore,
        sm: sm,
        cm: cm,
        loadMask: true,
        stripeRows: true,
        //autoExpandColumn:7,
        //超过长度带自动滚动条
        autoScroll: true,
        border: false,
        view: new Ext.grid.GroupingView({
            //自动填充
            forceFit: true,
            sortAscText: '正序排列',
            sortDescText: '倒序排列',
            columnsText: '列显示/隐藏',
            groupByText: '根据本列分组',
            showGroupsText: '是否采用分组显示',
            groupTextTpl: '{text} (<font color=red><b>{[values.rs.length]}</b></font> {[values.rs.length > 0 ? "条器件信息" : "暂无器件信息"]})'
        }),
        //分页
        bbar: new Ext.PagingToolbar({
            store: ArticleInfoStore,
            pageSize: pageSize,
            //显示右下角信息
            displayInfo: true,
            displayMsg: '当前记录 {0} -- {1} 条 共 {2} 条记录',
            emptyMsg: "No results to display",
            prevText: "上一页",
            nextText: "下一页",
            refreshText: "刷新",
            lastText: "最后页",
            firstText: "第一页",
            beforePageText: "当前页",
            afterPageText: "共{0}页"

        }),
        tbar: [
		new Ext.Toolbar.Fill()
		, "", "-", "",
			{
			    text: "刷新信息",
			    //默认样式为按下
			    //pressed:true,
			    tooltip: "刷新当前页面信息",
			    iconCls: "refreshicon",
			    handler: function() {
			        ArticleInfoStore.reload();
			    }
			}, "", "-"
		,
		{
		    text: "添加",
		    tooltip: "添加文章信息",
		    iconCls: "addicon",
		    handler: AddArticleInfofn
		}, "", "-", "", {
		    text: "编辑",
		    tooltip: "编辑文章信息",
		    iconCls: "editicon",
		    handler: EditArticleInfofn
		}, "", "-", "", {
		    text: "删除",
		    tooltip: "删除文章信息",
		    iconCls: "deleteicon",
		    handler: DelArticleInfofn

		}, "-"], listeners: {
		    'contextmenu': function(e) {
		        e.stopEvent();
		    },
		    'rowcontextmenu': function(grid, rowIndex, e) {
		        e.stopEvent();
		    }
		}
    });



    GridMain(node, ArticleInfoGrid, "usericon");
}

function DelArticleInfofn() {
    var row = Ext.getCmp("ArticleInfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "请您至少选择一个!");
    }
    else {
        Ext.Msg.confirm("提示!", "您确定要删除该文章信息吗?", function(btn) {
            if (btn == "yes") {
                DelArticleInfofns(row);
            }
            else {

            }
        })
    }
}

function EditArticleInfofn() {
    var row = Ext.getCmp("ArticleInfoGrid").getSelectionModel().getSelections();
    if (row.length == 0) {
        Ext.Msg.alert("提示信息", "您没有选中任何行!");
    }
    else if (row.length > 1) {

        Ext.Msg.alert("提示信息", "对不起只能选择一个!");
    } else if (row.length == 1) {

        AddArticleInfos(row[0]); //传行一行记录直接加载
    }
}

//000000文章管理结束
//000000文章添加开始


AddArticleInfofn = function() {
    //------文章类型

var AddClassRoleFields = Ext.data.Record.create([
        { name: 'ID', mapping: 'ID' }, { name: 'ClassName', mapping: 'ClassName' }
    ]);

var AddClassStore = new Ext.data.Store({
    proxy: new Ext.data.HttpProxy({
        url: '/MCScriptManageServices/ArticleClassInfoByPid.aspx?id=86'
    }),
    reader: new Ext.data.JsonReader({
        root: 'data',
        id: 'ID'
    },
           AddClassRoleFields
            )
});
AddClassStore.load();



    var AddArticleInfoform = new Ext.form.FormPanel({
        width: 800,
        plain: true,
        layout: "form",
        defaultType: "textfield",
        labelWidth: 60,
        baseCls: "x-plain",
        defaults: { anchor: "95%", msgTarget: "side" },
        buttonAlign: "center",
        bodyStyle: "padding:0 0 0 0",
        items: [
			{
			    name: "Name",
			    fieldLabel: "文章标题",
			    allowBlank: false,
			    blankText: "文章标题不允许为空"
			},	{

        			    xtype: "combo",
        			    store: AddClassStore,
        			    typeAhead: true,
        			    fieldLabel: '分类',
        			    hiddenName: 'Classid',
        			    name: 'Classid',
        			    forceSelection: true,
        			    triggerAction: 'all',
        		        emptyText: '选择文章分类',
        			    selectOnFocus: true,
        			    width: 130,
        			    editable: false,
        			    allowBlank: false,
        			    blankText: '请选择文章分类',
        			    displayField: 'ClassName',
        			    valueField: 'ID',
        			    mode: 'remote'
        			}
, {
    xtype: 'htmleditor',
    name: "Content",
    fieldLabel: "文章内容",
    allowBlank: false,
    blankText: "文章内容不允许为空"
} 
			]
    });


    var AddArticleInfoWin = new Ext.Window({
        title: "添加新文章",
        width: 850,
        plain: true,
        layout: "form",
        iconCls: "addicon",
        //不可以随意改变大小
        resizable: false,
        //是否可以拖动
        //draggable:false,
        defaultType: "textfield",
        labelWidth: 100,
        collapsible: true, //允许缩放条
        closeAction: 'hide',
        closable: true,
        //弹出模态窗体
        modal: 'true',
        buttonAlign: "center",
        bodyStyle: "padding:10px 0 0 15px",
        items: [AddArticleInfoform],
        listeners: {
            "show": function() {
                AddArticleInfoform.getForm().reset();
            }
        },
        buttons: [{
            text: "保存信息",
            minWidth: 70,
            handler: function() {
                if (AddArticleInfoform.getForm().isValid()) {
                    //弹出效果
                    Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                    setTimeout(function() { }, 1000);
                    AddArticleInfoform.form.submit({
                    url: "/MCScriptManageServices/AddArticle.aspx",
                        method: "POST",
                        success: function(form, action) {
                            //成功后
                            var flag = action.result.success;
                            if (flag == "true") {
                                Ext.MessageBox.alert("恭喜", "添加新文章成功!");
                                ArticleInfoStore.reload();
                                AddArticleInfoWin.hide();
                            } else if (flag == "false") {

                                var reson = action.result.reson;
                                //Ext.MessageBox.alert("提示",""+reson+"!");
                                if (reson != "undefined")
                                    Ext.MessageBox.alert("提示", "系统已存在此文章名!");
                            }
                        },
                        failure: function(form, action) {
                            Ext.MessageBox.alert("提示!", "添加新文章失败!");
                        }
                    });
                }
            }
        }, {
            text: "重置",
            minWidth: 70,
            qtip: "重置数据",
            handler: function() {
                AddArticleInfoform.getForm().reset();
            }
        }, {
            text: "取 消",
            minWidth: 70,
            handler: function() {
                AddArticleInfoWin.hide();
            }
}]

        });
        AddArticleInfoWin.show();
    }

    //000000文章添加结束
    //000000文章编辑开始
    AddArticleInfos = function(row) {
        //------文章类型

var AddClassRoleFields = Ext.data.Record.create([
        { name: 'ID', mapping: 'ID' }, { name: 'ClassName', mapping: 'ClassName' }
    ]);

var AddClassStore = new Ext.data.Store({
    proxy: new Ext.data.HttpProxy({
        url: '/MCScriptManageServices/ArticleClassInfoByPid.aspx?id=86'
    }),
    reader: new Ext.data.JsonReader({
        root: 'data',
        id: 'ID'
    },
           AddClassRoleFields
            )
});
AddClassStore.load();


        var EditArticleInfoForm = new Ext.form.FormPanel({
            width: 800,
            plain: true,
            layout: "form",
            defaultType: "textfield",
            labelWidth: 60,
            baseCls: "x-plain",
            defaults: { anchor: "95%", msgTarget: "side" },
            buttonAlign: "center",
            bodyStyle: "padding:0 0 0 0",
            items: [
						{
						    xtype: 'hidden',
						    name: "ID",
						    fieldLabel: "登录帐号",
						    allowBlank: false,
						    blankText: "帐号不允许为空",
						    readOnly: true
						},{
			    name: "Name",
			    fieldLabel: "文章标题",
			    allowBlank: false,
			    blankText: "文章标题不允许为空"
			},	{

        			    xtype: "combo",
        			    store: AddClassStore,
        			    typeAhead: true,
        			    fieldLabel: '分类',
        			    hiddenName: 'Classid',
        			    name: 'Classid',
        			    forceSelection: true,
        			    triggerAction: 'all',
        		        emptyText: '选择文章分类',
        			    selectOnFocus: true,
        			    width: 130,
        			    editable: false,
        			    allowBlank: false,
        			    blankText: '请选择文章分类',
        			    displayField: 'ClassName',
        			    valueField: 'ID',
        			    mode: 'remote'
        			}
, {
    xtype: 'htmleditor',
    name: "Content",
    fieldLabel: "文章内容",
    allowBlank: false,
    blankText: "文章内容不允许为空"
} 
			]
        });


        var EditArticleInfoWin = new Ext.Window({
            title: "编辑文章信息",
            width: 850,
            plain: true,
            //layout:"form",
            iconCls: "addicon",
            //不可以随意改变大小
            resizable: false,
            //是否可以拖动
            //draggable:false,
            defaultType: "textfield",
            labelWidth: 100,
            collapsible: true, //允许缩放条
            closeAction: 'hide',
            closable: true,
            //弹出模态窗体
            modal: 'true',
            buttonAlign: "center",
            bodyStyle: "padding:10px 0 0 15px",
            items: [EditArticleInfoForm],
            listeners: {
                "show": function() {

                    EditArticleInfoForm.getForm().reset();
                    var classid_input = row.data.ID;
                    EditArticleInfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/GetArticleById.aspx?id=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            },
            buttons: [{
                text: "保存信息",
                minWidth: 70,
                handler: function() {
                    if (EditArticleInfoForm.getForm().isValid()) {
                        //弹出效果
                        Ext.MessageBox.show
                                (
                                    {
                                        msg: '正在保存，请稍等...',
                                        progressText: 'Saving...',
                                        width: 300,
                                        wait: true,
                                        waitConfig: { interval: 200 },
                                        icon: 'download',
                                        animEl: 'saving'
                                    }
                                );
                        setTimeout(function() { }, 1000);
                        EditArticleInfoForm.form.submit({
                            url: "/MCScriptManageServices/UpdateArticle.aspx",
                            method: "POST",
                            success: function(form, action) {
                                //成功后
                                var flag = action.result.success;
                                if (flag == "true") {
                                    Ext.MessageBox.alert("恭喜", "保存文章信息成功!");
                                    ArticleInfoStore.reload();
                                    EditArticleInfoWin.hide();
                                } else if (flag == "false") {

                                    Ext.MessageBox.alert("提示", "您的文章名可能系统中已经存在，请换一个文章名试下!");
                                    ArticleInfoStore.reload();
                                    EditArticleInfoWin.hide();
                                }
                            },
                            failure: function(form, action) {
                                Ext.MessageBox.alert("提示!", "保存文章信息失败!");
                            }
                        });
                    }
                }
            }, {
                text: "重置",
                minWidth: 70,
                qtip: "重置数据",
                handler: function() {
                    var classid_input = row.data.ID;
                    EditArticleInfoForm.form.load(
                                {
                                    url: "/MCScriptManageServices/GetArticleById.aspx?id=" + classid_input,
                                    method: "get",
                                    success: function(form, action) {

                                    },
                                    failure: function(form, action) {
                                        Ext.Msg.alert("提示信息", "对不起加载数据失败!请联系管理员");
                                    }
                                }
                    );
                }
            }, {
                text: "取 消",
                minWidth: 70,
                handler: function() {
                    EditArticleInfoWin.hide();
                }
}]

            });
            EditArticleInfoWin.show();
        }

        //000000文章编辑结束
        //000000文章删除开始

        DelArticleInfofns = function(row) {
            var deletesplit = "";
            for (var i = 0; i < row.length; i++) {
                if (row.length == 1) {
                    deletesplit = row[i].data.ID;
                }
                else {

                    if (i < (row.length - 1)) {
                        deletesplit = row[i].data.ID + "," + deletesplit;
                    }
                    if (i == (row.length - 1)) {
                        deletesplit = deletesplit + row[i].data.ID;
                    }
                }
            }
            Ext.Ajax.request({
                url: "/MCScriptManageServices/DelArticle.aspx",
                method: "POST",
                params: {
                    id: deletesplit
                },
                success: function() {
                    ArticleInfoStore.reload();
                },
                failure: function() {
                    Ext.Msg.alert("提 示", "删除失败了!");
                }
            });
        }

        //000000文章删除结束